#ifndef SHADER_H
#define SHADER_H

#include <glew/glew.h>

class QString;

class Shader
{
    GLuint program;
    QString fileToString(QString filename);
    GLuint createShader(QString filename, GLenum shaderType);
    void printShaderInfoLog(GLuint shaderId);
    void printProgramInfoLog(GLuint programId);

public:
    Shader(const QString &vertFilename, const QString &fragFilename);
    GLuint getProgramId();
};

#endif // SHADER_H
